% The function to be called above is defined below
function [t, data, title] = LoadTsatTxt(filename)

% Load .txt output file from TSAT-OA
% Author: Bin Wang (wangbin.dianqi@gmail.com)
% Date created: 05/28/2015

% open the output file
fid = fopen(filename,'rt');

if fid == -1
    fprintf('Error in opening the .txt file!\n')
end

% Read the first row
nextline = fgetl(fid);
title = regexp(nextline,''' ''','split')';

% Read the data
data = [];
nextline = fgetl(fid);
while nextline~=-1
    temp = str2num(nextline);
    data = [data;temp];
    nextline = fgetl(fid);
end

% Delete the duplicate data
[r,c] = size(data);
temp = [];
for i=2:r
    if data(i,1) == data(i-1,1)
        temp = [temp,i];
    end
end
data(temp,:) = [];

t = data(:,1);
data(:,1) = [];
title(1) = [];

end